import { Params as BootstrapParams } from './hooks/bootstrap';
import { Params as InitParams } from './hooks/init';
import { Params as DeathParams } from './hooks/death';
export { default as bootstrapHook, Params as BootstrapParams, } from './hooks/bootstrap';
export { default as initHook, Params as InitParams, } from './hooks/init';
export { default as deathHook, Params as DeathParams, } from './hooks/death';
export declare const hooks: {
    bootstrap: import("@spine/hook").HookAction<any, BootstrapParams>;
    init: import("@spine/hook").HookActionSeries<any, InitParams>;
    death: import("@spine/hook").HookActionSync<any, DeathParams>;
};
export declare const log: import("@spine/logger").Log;
export declare function didDie(): boolean;
export declare function didBootstrap(): boolean;
export declare function bootstrap(): Promise<{
    bootstrap: {
        [key: string]: any;
    };
    init: {
        [key: string]: any;
    };
}>;
export declare function die(): Promise<any>;
export declare function dieSync(): any;
